Subject: [bmwg] FIB Terminology document: version 2

From: "TROTTER,GUY (A-Canada,ex1)" <[email-masked]>
Date: Tue, 27 Mar 2001 16:57:35 -0500

Hi all,

Wondering what happened to the FIB terminology document?  Well, I had hoped
to get it submitted prior to the deadline for the last IETF meeting, but
missed it by 3 hours (darn pacific time vs. eastern time zone thing!).

Anyway, I have attached version 1 (the original version was version 0) of
the draft to this email.  The text below lists the changes to the draft.
I'm looking to move this document to a working group last call.  Any
comments you have are very welcome!

Guy

==============

Changes:

- Broke the definitions into 2 sections: "parameters" and "metrics"

- Network Prefix Length
	- Rephrase "refers to the length in bits of a network prefix" 
     	  to "Number of bits used to define the network prefix"
	- measurement units should just be "bits"

- Forwarding Information Base (FIB)
	- indicate that the FIB is separate from the "routing table"
	  (i.e. the RIB).  Indicate that there are no secondary paths	
	  in the FIB
	- remove text describing the longest length prefix match
	  algorithm (out of place)

- Forwarding Information Base Entry
	- added text to indicate that the size refers to the total number
	  of active routes within the FIB.  That is, the FIB could 
	  potentially hold routes that a router might not be able to use
	  to forward packets - this definition indicates the total number
	  of routes inside the FIB that can and are used to forward 
	  packets
	- measurement units, instead of being "positive integer" should
	  be "number of routes"

- Forwarding Information Base Prefix Distribution
	- in the 3d paragraph in the discussion, change "will have an 
  	  impact" to "may have an impact"
	- for measurement units,  use absolute number of routes instead 
	  of percentages to eliminate any uncertainty as to the number 
	  of routes advertised into the router.  I.e. instead of a 
	  list like:
		{[/16, 10%], [/20, 36%], [/24, 54%]}
	  use (in the case that we're advertising 1000 routes):
		{[/16, 100], [/20, 360], [/24, 540]}

- Maximum Forwaring Information Base Size
	- measurement units should be "number of routes"

- Forwarding Information Base Learning Time
	- change the definition in the first paragraph from "The
	  forwarding information base learning time is the time taken
	  for a router to receive and ..." to "The time a router
	  takes to process ..."
	- extended the definition to specify that the learning time is
	  the time from when a router receives the first routing 
	  message, through to when it is able to forward packets using
	  any entry in the FIB.
	- add measurement units "prefixes per second"

- Per-Interface Forwarding Information Base
	- changed this definition to "Per-interface or per-card 
  	  forwarding information base" to reflect the fact that 
	  a FIB can be installed on a per-interface or possibly a 
	  per-card basis.

- Route Aggregation
	- in the discussion section, specified that route aggregation
	  within the router could be turned on or off, but that the
	  routes advertised into the router must be controlled and
	  monitored in order to avoid aggregation

- Fully Meshed Traffic Flows
	- I removed this definition, as it is essentially a restatement
  	  of the definition in RFC 2285.  The application of the 
	  fully meshed traffic flows to this type of testing will be
	  explained in the methodology.

- added a short definition for "longest length prefix match"

- added a note in the introduction specifying that this document is
  restricted to IPv4 routers.

-----------------------------------------------------------------------
Guy Trotter
Agilent Technologies         phone: +1 604 454 3516
Advanced Networks Division   fax:   +1 604 454 3401
#2500 4710 Kingsway          mailto:[email-masked]
Burnaby, British Columbia    page:  mailto:[email-masked]
V5H 4M2                      yahoo IM: guytrotter
CANADA                       http://www.agilent.com